Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal
Interface Portal

All Superinterfaces:
  java.lang.Comparable, PageContainer, PortalObject

All Known Implementing Classes:
  PortalImpl

    public interface Portal

extends PageContainer

Defines a logical portal.

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface org.jboss.portal.core.model.portal.PortalObject
`CONTEXT_MASK, DEFAULT_OBJECT_NAME, PAGE_MASK, PORTAL_MASK, PORTAL_PROP_DEFAULT_OBJECT_NAME, TYPE_CONTEXT, TYPE_PAGE, TYPE_PORTAL, TYPE_WINDOW, WINDOW_MASK`

Method Summary
`Page` | `getDefaultPage()` Return the default page of this portal.
`java.util.Set` | `getSupportedModes()` Return the modes supported of this portal.
`java.util.Set` | `getSupportedWindowStates()` Return the window states supported by this portal.

Methods inherited from interface org.jboss.portal.core.model.portal.PageContainer
`createPage, getPage`

Methods inherited from interface org.jboss.portal.core.model.portal.PortalObject
`copy, destroyChild, getChild, getChild, getChildren, getChildren, getDeclaredProperties, getDeclaredProperty, getDisplayName, getId, getListener, getName, getParent, getProperties, getProperty, getType, setDeclaredProperty, setDisplayName, setListener`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getSupportedWindowStates

    java.util.Set getSupportedWindowStates()

  Return the window states supported by this portal.

  Returns:
    the supported window states by this portal

### getSupportedModes

    java.util.Set getSupportedModes()

  Return the modes supported of this portal.

  Returns:
    the supported modes by this portal

### getDefaultPage

    Page getDefaultPage()

  Return the default page of this portal.

  Returns:
    the default page

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD